package client.net;

import net.codec.PacketDecoder;
import net.codec.PacketEncoder;

import org.jboss.netty.channel.ChannelPipeline;
import org.jboss.netty.channel.ChannelPipelineFactory;

import static org.jboss.netty.channel.Channels.pipeline;
import client.game.Application;

/**
 * Add the encoders/decoders etc.
 */
public class ClientPipelineFactory implements ChannelPipelineFactory {

	private Application application = null;

	public ClientPipelineFactory(Application application) {
		this.application = application;
	}

	@Override
	public ChannelPipeline getPipeline() throws Exception {
		ChannelPipeline pipeline = pipeline();
		pipeline.addLast("decoder", new PacketDecoder());
		pipeline.addLast("encoder", new PacketEncoder());
		pipeline.addLast("handler", new ClientHandler(application));
		return pipeline;
	}
	
}
