package client.net.packet;

import net.packet.Packet;
import client.game.Application;
import client.net.packet.impl.*;

public class PacketManager {

	public void handle(Packet packet, Application application) {
		switch (packet.getOpcode()) {
		case 1: //Login response
			new LoginResponsePacket().handle(application, packet);
			break;
		case 2: //Update local player
			new LocalSessionDataPacket().handle(application, packet);
			break;
		case 3: //Add remote player
			new RegisterRemotePlayerPacket().handle(application, packet);
			break;
		case 4: //Remove remote player
			new UnregisterRemotePlayerPacket().handle(application, packet);
			break;
		case 5: //Update remote player position
			new PlayerPositionUpdatePacket().handle(application, packet);
			break;
		case 6: //Register a block
			new RegisterTileBlockPacket().handle(application, packet);
			break;
		case 7: //Add chatbox message
			new ConsoleMessagePacket().handle(application, packet);
			break;
		case 8: //Unregister a block
			new UnregisterTileBlockPacket().handle(application, packet);
			break;
		case 10: //Update player animation
			new AnimationUpdatePacket().handle(application, packet);
			break;
		default:
			break;
		}
	}
	
}
