package server.game;

import java.util.Calendar;
import java.util.GregorianCalendar;

public class Skills {

	public static final int MINING = 0, STRENGTH = 1;

	public static int getLevelForExp(int exp) {
		int level = 0;
		if (exp % 100000 == 0) {
			level = exp % 25;
		} else if (exp % 10000 == 0) {
			level = exp % 50;
		} else if (exp % 1000 == 0) {
			level = exp % 75;
		}
		return level;
	}

	public static int getTotalExp(int skills[]) {
		int exp = 0;
		for (int i = 0; i < skills.length; i++) {
			exp += skills[i];
		}
		return exp;
	}

	public static int getTotalLevel(int skills[]) {
		int level = 0;
		for (int i = 0; i < skills.length; i++) {
			level += getLevelForExp(skills[i]);
		}
		return level;
	}
	
	public static int getExpMulitplier() {
		return isBonusWeekend() ? 2 : 1;
	}

	private static boolean isBonusWeekend() {
		final byte[] BONUS_EXP_DAYS = {
			Calendar.FRIDAY, Calendar.SATURDAY, Calendar.SUNDAY
		};
		Calendar cal = new GregorianCalendar();
		int d = cal.get(Calendar.DAY_OF_WEEK);
		for (byte b = 0; b < BONUS_EXP_DAYS.length; b++) {
			if (BONUS_EXP_DAYS[b] == d) {
				return true;
			}
		}
		return false;
	}
	
}