package server.game.block;

/**
 * Represents a tile (or block).
 */
public class TileBlock {

	private final boolean block;
	private final int uid;
	private final int type;
	private final float x;
	private final float y;
	private final float z;

	public TileBlock(boolean block, int uid, int type, float x, float y, float z) {
		this.block = block;
		this.uid = uid;
		this.type = type;
		this.x = x;
		this.y = y;
		this.z = z;
	}

	public boolean isBlock() {
		return block;
	}
	
	public int getUid() {
		return uid;
	}

	public int getType() {
		return type;
	}

	public float getX() {
		return x;
	}

	public float getY() {
		return y;
	}

	public float getZ() {
		return z;
	}
	
}